/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DialogAction } from "./dialog-action";
import { DialogCloseResult } from "./dialog-close-result";
/**
 * Specifies the possible result types of the Dialog. Instances of
 * [`DialogCloseResult`]({% slug api_dialog_dialogcloseresult %})
 * indicate that the **Close** button of the Dialog was clicked
 * ([see example]({% slug api_dialog_dialogservice %}#toc-open).
 * Otherwise, the value is the configuration of the action button that was clicked.
 */
export type DialogResult = DialogCloseResult | DialogAction;
